import { OnDestroy } from '@angular/core';
import { AbstractControl, ValidationErrors, Validator, NgModel, NgForm } from '@angular/forms';
export declare class EqualValidator implements Validator, OnDestroy {
    private ngForm;
    equal: NgModel | string;
    private referenceController;
    private controller;
    private sub;
    private isFirst;
    private _equal;
    private _onChange;
    constructor(ngForm: NgForm);
    ngOnDestroy(): void;
    subscribe(): void;
    unSub(): void;
    validate(c: AbstractControl): ValidationErrors | null;
    registerOnValidatorChange(fn: () => void): void;
}
